.TH struct n "Version 2.7.0" "Tina Tools"

.SH NAME
struct \- Structural analysis tool

Part of Tina Toolbox for analysis of Petri nets and Time Petri nets
(see also nd, tina, ktzio).

.SH SYNOPSIS

.B struct 
[\-\f2h\f1elp]
       [\-S | \-F] [\-I | \-Q] [\-P | \-T] [\-mp]
       [\-t s] [\-v | \-q] 
       [infile] [outfile]


.SH DESCRIPTION

struct computes  generator sets for  semiflows, or bases of  flows, on
places and transitions.  It takes as input descriptions of a Petri net
or Time  Petri net  in textual (.net  format) or graphical  form (.ndr
format of files produced by nd).


.SH OPTIONS

.TP
\-\f2h\f1elp Recalls options.

.TP
Operating mode options:

.TP
\-P | -T
Computes semiflows or flows for places only (-P) or transitions only (-T).
In absence of either flag, computes them for both.

.TP
\-S | -F
Computes semiflow generator sets (-S) or flow bases (-F). If -S, also
computes the invariant and consistent properties.

.TP
\-I | -Q
Computes  semiflow   (resp.  flow   bases)  such  that   any  semiflow
(resp. flow)  is a  linear combination with  integer (-I)  or rational
(-Q) coefficients of those in basis (nongenative if -S, in addition).

.TP
\-mp
Use arbitrary precision arithmetics (struct will tell you if needed).

.TP
Stopping test and limits flags:

.TP
\-t n
Bound on duration of computation (none if n=0).

.TP
Output format selection :

.TP
\-v
textual output, prints full results.

.TP
\-q
textual output, prints a summary of results.

.TP
Input source:

.TP
infile
Where the net is read, extension must  be .net or .ndr.  If absent or
specified by "-", then reads on standard input.

.TP
Output destination:

.TP
outfile
Where  results are  written.   If  absent or  specified  by "-",  then
results are written on standard output.

.TP
Default options are :

struct -t 0 -v





.SH FILES

File nets/FORMATS  specifies syntax of  .net and .ndr  net description
files, and of .aut and .adr automata description files.


.SH EXAMPLES

.nf
struct < nets/ifip.ndr > ifip.struct
.nf
.fi
struct -q nets/ifip.ndr ifip.struct
.fi


.SH SEE ALSO

nd, tina, ktzio


.SH AUTHORS
Bernard Berthomieu, LAAS/CNRS, 2000-2004, Bernard.Berthomieu@laas.fr.

